Subject: Re: bug#7925: 23.2.91; report-emacs-bug doesn't like curly quotes

From: Štěpán Němec <[email-masked]>
Date: Sun, 30 Jan 2011 13:48:46 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Chong Yidong <[email-masked]>
>> Date: Sat, 29 Jan 2011 18:34:19 -0500
>> Cc: [email-masked]
>> 
>> Reuben Thomas <[email-masked]> writes:
>> 
>> > Pretty much every time I use report-emacs-bug, I get the message
>> > “Convert non-ASCII letters to hexadecimal?” There are two problems here:
>> >
>> > 1. From looking at the code in report-emacs-bug-hook, it really means
>> > “non-ASCII characters”, as it looks for any non-7-bit character, not
>> > just non-7-bit letters.
>> >
>> > 2. In this age of UTF-8, and, for example, my use of smart-quotes-mode,
>> > what do you have against non-ASCII characters? Perhaps you’d like to try
>> > to make sure that mail to report-emacs-bug is in English, but for that
>> > you should be using some form of linguistic analysis.
>> 
>> Maybe this question dates from the days when email was ASCII only.
>
> Actually, this was added in Emacs 20 or 21, when Emacs got support for
> multi-lingual editing.  the reason was to make sure bug reports are
> written in English and not in some other languages that maintainers
> could not command.  Also, various MUAs, even in Emacs, might convert
> non-ASCII characters into illegible mess.

If this is the reason, IMO it is pretty silly. You already say "please
write in English" in the template message. If somebody can ignore that,
they can certainly ignore this mystery meat message, too -- e.g. I had
no idea what it meant and I doubt most other people understand "convert
non-ASCII letters to hexadecimal?" as "please write in English" either.
I always just answer "No", FWIW. (And I get the prompt every single
time, probably just because my name in the signature contains those
naughty new-fangled non-ASCII characters.)

  Štěpán